%define ver      2.1.1.1
%define rel      0a

Name: locale-ja
Version: %ver
Release: %rel
Copyright: GPL
Group: System Environment/Libraries
Source: ftp://ftp.debian.or.jp/pub/Linux/debian-jp/dists/potato/main/source/admin/locale-ja_%{ver}.tar.gz
BuildArchitectures: noarch
BuildRoot: /var/tmp/locale-ja-%{PACKAGE_VERSION}-root
Obsoletes: localedata-ja
Requires: glibc >= 2.1.3-5

Summary: Locale definition files for Japanese.
Summary(ja): ܸե

%description
This is an experimental and incorrect locale definition for Japanese
(ja_JP).  Since the GNU libc does not support the EUC encoding yet,
we cannot make a correct locale definition for it.

%description -l ja
ϼ¸Ūʤܸ(ja_JP)ǤEUC 󥳡ǥ
Ϥޤ GNU libc ǥݡȤƤʤΤǡΤ
򤹤뤳ȤǤޤ

%prep
%setup -n locale-ja-2.1.2

%install
rm -rf $RPM_BUILD_ROOT
./mkinstalldirs $RPM_BUILD_ROOT/usr/share/locale/ja_JP/LC_MESSAGES
localedef -c -f charmaps/EUC-JP -u mnemonic.ds -i ja_JP $RPM_BUILD_ROOT/usr/share/locale/ja_JP

for la in ja ja_JP.eucJP ja_JP.ujis ja_JP.EUC; do
./mkinstalldirs $RPM_BUILD_ROOT/usr/share/locale/$la/LC_MESSAGES
(
cd $RPM_BUILD_ROOT/usr/share/locale/$la/LC_MESSAGES && for file in ../../ja_JP/LC_*; do test -f $file && ln -s $file .; done
cd $RPM_BUILD_ROOT/usr/share/locale/$la/LC_MESSAGES && ln -s ../../ja_JP/LC_MESSAGES/SYS_LC_MESSAGES .
)
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
if ! grep '^/usr/lib/gconv$' /etc/ld.so.conf > /dev/null 2>&1; then
  echo "/usr/lib/gconv" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%files
%defattr(-, root, root)
/usr/share/locale/ja_JP/*
/usr/share/locale/ja/*
/usr/share/locale/ja_JP.eucJP/*
/usr/share/locale/ja_JP.ujis/*
/usr/share/locale/ja_JP.EUC/*

%changelog
* Wed Mar 8 2000 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- fixed symlink bugs and added more aliases ; rev 0a

* Sat Jan 23 2000 Dan Burcaw <dburcaw@yellowdoglinux.com>
- no mods; rev 0

* Wed Jan 19 2000 Matt Wilson <msw@redhat.com>
- rebuilt for 6.2

* Thu Oct 21 1999 Matt Wilson <msw@redhat.com>
- added post script to add the gconv directory to ld.so.conf.
  this allows suid/gid applications to get proper conversions.

* Wed Oct  6 1999 Matt Wilson <msw@redhat.com>
- rebuilt for 6.1

* Tue Apr 20 1999 Owen Taylor <otaylor@redhat.com>
- Initial version

